

#include "Proof.h"



int main(int argc, char ** argv){
 std::string dataFile = "", resultFile = "";
  ProofStage startStage = ProofStage::KAMProof; 
  if(readCommandLineParameters(argc, argv, dataFile, resultFile))
    return 0;

  capd::auxil::ConfigFileReader ini(dataFile);
  ICnCoeff coeff;
  readConfigFile(ini, dataFile, startStage, &coeff);
  
  ParametersSet<IVector> params;
  params.readParameters(ini);
  
  printDiam(std::cout, coeff);
  
  if(resultFile != ""){
    
  capd::auxil::ConfigFileReader ini2(resultFile);
  ICnCoeff coeff2;
  readConfigFile(ini2, resultFile, startStage, &coeff2);
   printDiam(std::cout, coeff2);
  ParametersSet<IVector> params2;
  params2.readParameters(ini);    
  }
  
  
  return 0;
}
